roar_stream_new(3)

NAME
roar_stream_new - creates a new stream object

SYNOPSIS

#include <roaraudio.h>

int roar_stream_new(struct roar_stream * s, unsigned int rate, unsigned int channels, unsigned int bits, unsigned int codec);

DESCRIPTION
This call create a new stream object.

PARAMETERS
The parameter s is a pointer to the new stream object.

For a description of the other parameters see roar_simple_play(3).

RETURN VALUE
On success these calls return 0. On error, -1 is returned.

EXAMPLES
FIXME

SEE ALSO
roar_simple_play(3), libroar(7), RoarAudio(7).